declare const _exports: {
    files: string[];
    languageOptions: {
        parser: any;
        parserOptions: {
            project: string;
            tsconfigRootDir: string;
            sourceType: string;
            globals: {
                Array: false;
                ArrayBuffer: false;
                Boolean: false;
                constructor: false;
                DataView: false;
                Date: false;
                decodeURI: false;
                decodeURIComponent: false;
                encodeURI: false;
                encodeURIComponent: false;
                Error: false;
                escape: false;
                eval: false;
                EvalError: false;
                Float32Array: false;
                Float64Array: false;
                Function: false;
                hasOwnProperty: false;
                Infinity: false;
                Int16Array: false;
                Int32Array: false;
                Int8Array: false;
                isFinite: false;
                isNaN: false;
                isPrototypeOf: false;
                JSON: false;
                Map: false;
                Math: false;
                NaN: false;
                Number: false;
                Object: false;
                parseFloat: false;
                parseInt: false;
                Promise: false;
                propertyIsEnumerable: false;
                Proxy: false;
                RangeError: false;
                ReferenceError: false;
                Reflect: false;
                RegExp: false;
                Set: false;
                String: false;
                Symbol: false;
                SyntaxError: false;
                toLocaleString: false;
                toString: false;
                TypeError: false;
                Uint16Array: false;
                Uint32Array: false;
                Uint8Array: false;
                Uint8ClampedArray: false;
                undefined: false;
                unescape: false;
                URIError: false;
                valueOf: false;
                WeakMap: false;
                WeakSet: false;
            };
        };
    };
    plugins: {
        import: any;
        '@typescript-eslint': {
            configs: Record<string, ClassicConfig.Config>;
            meta: FlatConfig.PluginMeta;
            rules: import("@typescript-eslint/eslint-plugin/rules").TypeScriptESLintRules;
        };
        prettier: import("eslint").ESLint.Plugin;
    };
    ignores: string[];
    rules: any;
}[];
export = _exports;
